> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-08-29-availability.md).

# 2025-08-29: Availability Service - vendor handling added

## Overview

New field `vendorId` was added to the availability response. Vendor employees can modify and see only availabilities for products that belong to their vendor.

## New scopes

* `availability.availability_manage_by_vendor`
* `availability.availability_view_by_vendor`

## Modified endpoints

| Endpoint                                                                                                                                                                                                         | Description                                                                                             |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [Retrieving all availability information for a site](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#get-availability-tenant-availability-site-site)     | New attribute `vendorId` added to response. New scope `availability.availability_view_by_vendor` added. |
| [Retrieving product availabilities for a site](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#post-availability-tenant-availability-search)             | New attribute `vendorId` added to response. New scope `availability.availability_view_by_vendor` added. |
| [Retrieving a product's availability](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#get-availability-tenant-availability-productid-site)               | New attribute `vendorId` added to response. New scope `availability.availability_view_by_vendor` added. |
| [Creating a new availability for a product](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#post-availability-tenant-availability-productid-site)        | New scope `availability.availability_manage_by_vendor` added.                                           |
| [Upserting availability information of a product](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#put-availability-tenant-availability-productid-site)   | New scope `availability.availability_manage_by_vendor` added.                                           |
| [Deleting availability information of a product](https://developer.emporix.io/api-references/api-guides/orders/availability/api-reference/availabilities#delete-availability-tenant-availability-productid-site) | New scope `availability.availability_manage_by_vendor` added.                                           |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-08-29-availability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
